#
# spec file for package python-networking-odl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-networking-odl
Version:        4.0.0
Release:        1.1
Summary:        Neutron driver for OpenDaylight
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/networking-odl
Source:         https://pypi.python.org/packages/86/c5/10879e46155495b4ccaa3bad103b6f17f409adcbb86b2291dc0ef120b6f1/networking-odl-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-Babel
BuildRequires:  python-devel
BuildRequires:  python-neutron-lib
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-stevedore
Requires:       python-Babel
Requires:       python-neutron-lib
Requires:       python-pbr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description

This is the external, decomposed plugin library for the OpenDaylight ML2
MechanismDriver. This is the backend code which handles communication with
OpenDaylight.

%prep
%setup -q -n networking-odl-%{version}

%build
rm requirements.txt test-requirements.txt
%{__python2} setup.py build

%install
python setup.py install --root=%{buildroot}
install -p -D -m 644 etc/neutron/plugins/ml2/ml2_conf_odl.ini %{buildroot}%{_sysconfdir}/neutron/plugins/ml2/ml2_conf_odl.ini
# Get rid of /usr/etc
rm -rf %{buildroot}/usr%{_sysconfdir}/

%fdupes %{buildroot}%{python_sitelib}/

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/networking_odl
%{python_sitelib}/networking_odl-%{version}-py%{python_version}.egg-info
%dir %{_sysconfdir}/neutron
%dir %{_sysconfdir}/neutron/plugins
%dir %{_sysconfdir}/neutron/plugins/ml2
%config %{_sysconfdir}/neutron/plugins/ml2/ml2_conf_odl.ini
%{_bindir}/neutron-odl-ovs-hostconfig

%changelog
* Tue Apr  4 2017 mmnelemane@suse.com
- Updated to version 4.0.0
  4.0.0
  - ----
  * QoS V2 driver for ODL
  * OpenDaylight BGPVPN Version 2 Driver
  * put back TrunkDependencyValidationsTestCase
  * refactor test_dependency_validations
  * OpenStack Networking-SFC Ver.2 driver for ODL
  * Fix typos (sunbet -> subnet)
  * test_dependency: sort retrieved journal rows
  * l2gw/dependency validator: missing comma
  * Add a method to query operations
  * Add/Update hostconfig examples for OVS-DPDK and VPP
  * devstack: show ODL neutron northbound data
  * delete sg rule on sg deletion on ODL neutron northbound
  * Updated from global requirements
  * L2Gateway version 2 driver for OpenDaylight
  * Fix typo in doc/source/installation.rst
  * devstack: configure external net for new netvirt
  * Remove support for py34
  * tox: pass OS_POST_MORTEM_DEBUGGER env
  * pseudo agent: don't set start_flag
  * avoid ovsdb port conflict
  * Typo fix: choses to chooses
  * ODL Drivers for Vlan Aware VMs
  * Update link reference in README.rst
  * Fix typo in doc/source/specs/journal-recovery.rst
  * devstack: skip several test cases with v2driver and old netvirt
  * Typo fix: binded => bound
  * Fix typo in maintenance.rst
  * Update hacking version
  * Enable smoke tests on grenade job
  * Revert "devstack: disable metadata for rally"
  * Simplify dependency validations
  * Remove the register_validator method
  * devstack: enable placement-api
  * Remove SG validations
  * devstack: remove trailing - in ODL_GATE_SERVICE_PROVIDER
  * Remove link to modindex
  * Disable some tempest tests temporarily
  * devstack: show info even after tempest fails
  * Replace six.iteritems/itervalues with dict.items()/values()
  * Use neutron-lib portbindings api-def
  * Use neutron-lib provider net api-def
  * Use V2 driver by default in devstack
  * Updated from global requirements
  * devstack: make new netvirt default for ODL boron+
  * devstack: check latest revision of ODL snapshot
  * Split tempest tests for V2 driver
  * run functional/fullstack tests with v2driver
  * devstack: run rally with v2driver
  * devstack: run rally with new netvirt
  * Revert "use osc-lib git master branch"
  * Fix failing stack on compute node
  * use osc-lib git master branch
  * devstack: make pseudo agent port binding as default
  * using sys.exit(main()) instead of main()
  * Update lbaas-driver-v2 releasenotes
  * fix some issues in legacy netvirt with mulitnode in carbon
  * java: update oracle java 8 jdk version
  * devstack: update NETWORK_API_EXTENSIONS
  * create Openstack with ODL by vagrant
  * remove unused self.url from qos driver
  * neutron-lib: use L3 constant from neutron-lib
  * fullstack - use configure_for_func_testing.sh to setup env
  * functional test: documentation and relnotes
  * gitignore: ignore vagrant generated dir
  * Removes unnecessary utf-8 encoding
  * odl-release: update boron definition
  * Upgrade script for networking-odl
  * H803 hacking have been deprecated
  * fullstack: increase check_flow_existance retry times and intervals
  * Refactor config code for v2 tests
  * Show team and repository tags
  * devstack: disable metadata for rally
  * Remove q-dhcp from compute node   q-dhcp service in compute node causes metadata proxy failure as:   checking http://169.254.169.254/2009-04-04/instance-id   failed 1/20: up 11.03. request failed   failed 2/20: up 23.35. request failed
  * doc: unbreak build_sphinx
  * functional: vagrantfile for functional test
  * configure_for_func_testing: don't install rabbitmq
  * configure_for_func_testing: don't use realpath
  * devstack: refactor install_opendaylight
  * Enable networking-odl compute mode in subnode
  * Consolidate qos v1 driver classes
  * devstack multinode: disable some test cases
  * odl client: remove unnecessary except and log
  * increase odl http timeout(experiment)
  * Add seqnum to dependency checks
  * Fix typo in devstack/settings.odl
  * Fix devstack for fedora 25
  * functional test: configure opendaylight
  * devstack: improve odl-release definition
  * Fix typo
  * devstack: tempest CI fails
  * mech driver v2: build dict for sg on update
  * Configure L3 for grenade job
  * Fix the update of qos-policy
  * Show team and repo badges on README
  * devstack: reorder mech driver for debug
  * Use system subunit command if python-subunit is installed globally
  * db: use neutron_lib.db.model_base
  * functional test: install acl package
  * Disable live migration tests
  * devstack: enable scenario test_security_groups_basic_ops
  * Fix fullstack CI
  * devstack: make tempest timeout longer
  * Update reno for stable/newton
  * Forgot to reference arch in docs index
  3.1.0
  - ----
  * Added basic L3 functional tests
  * Run ovs appctl execution of flows more times
  * devstack: show related info for debug
  * Fixed None reference in SG code in V2
  * Add security groups basic functional tests
  * Add utils.neutronify
  * devstack: enable scenario test_network_basic
  * devstack: enable scenario test_minium_basic
  * devstack: exclude scenario tests known to fail
  * devstack: option for conntrack for old netvirt
  * prevent initial networks create on subnode
  * devstack: Stop setting route pointing back to tenant router
  * devstack: enable odl-neutron-logger by default
  * Switch to using plugins directory in lieu of neutron manager
  * devstack: disable configuring neutron on compute nodes
  * Added ML2 basic functional tests
  * Added FLAT type network
  * Complement the implementation of odl lbaas driver_v2
  * devstack: add odl-neutron-logger to ODL karaf feature
  * devstack: update beryllium release definition
  * Scripts to enable fullstack testing in gate
  * devstack: enable stably passing scenario tests
  * devstack: remove source devstackgaterc
  * fullstack test for networking-odl
  * devstack: enable c-api,c-bak,c-sch,c-vol,cinder
  * Fixed link to drivers architecture
  * Add installation guide for networking-odl
  * devstack: run tests with tempest run command
  * add dsvm-functional tests tox and gate_hook
  * Allow forwarding of OS_FAIL_ON_MISSING_DEPS to test envs
  * Added initial reference architecture
  * Updated from global requirements
  3.0.0
  - ----
  * update Boron release definitions since SR1 release
  * devstack: create public network connectivity
  * mech v2: bug/1546910 work around
  * Excluding Tempest from Rally job to avoid failure
  * Updated from global requirements
  * Fix the implementation of ODLMemberManager in lbaas driver_v2
  * devstack: enable force config drive
  * Fix set_ovs_hostconfigs exit issue
  * Fix few typographical errors
  * Add a reference to Neutron Devref and Apiref
  * Remove last vestiges of oslo-incubator
  * Add grenade plugin
  * secgroup: pushdown default secgroup rules to ODL
  * Fix up some documentation quirks
  * sort values for OVERRIDE_ENABLED_SERVICES
  * Updated from global requirements
  * follow up for https://review.openstack.org/#/c/268820/
  * Journal recovery for syncing with ODL
  * Add developer docs for ODL drivers
  * Added maintenance devref
  * tools: catch up neutron-lbaas change
  * releasenotes: deprecate lbaasv1 driver
  * releasenotes: vlan-transparency
  * Adding a line space for proper rendering of doc
  * Remove call to configure_neutron_odl in case of odl-compute and non-pseudo-agent port binding
  * Change import statement to not rename the module
  * alembic: db migration fails
  * OpenStack Networking-SFC driver for OpenDaylight
  * Updated from global requirements
  * Journal recovery release notes added
  * Full sync release notes added
  * Maintenace thread release notes added
  * Modify the "create" and "update" method in lbaas driver_v2
  * Release notes for psuedo agent port binding
  * Add instructions to enable qos
  * Release notes for Host Config
  * Imported Translations from Zanata
  * add test_migrations test
  * tox: use ostestr
  * stop doing any magic cloning of neutron during CI
  * devstack: exclude tests that uses ssh
  * bug/1614766 work around
  * Wrapper method for client#sendjson
  * Bug 1608659 - pseudo_agentdb_binding AttributeError
  * transparent_vlan support
  * trivial fix
  * devstack: call odl-ovs-hostconfig conditionally
  * Remove dependency from neutron and move main() to the end
  * Improve README
  * journal: filter.py: AttributeError: 'NoneType'
  * Fix typo in DB migration script
  * journal: created_at of second is too coarse
  * Enable release notes translation
  * Updated from global requirements
  * devstack: setup hostconfig on compute node
  * Cloud admin script auto-config hostconfig defaults
  * Fix a typo in documentation
  * Add E123,E125 check and Solve several problems
  * Add Apache 2.0 license to source file
  * Fix a typo in override-defaults
  * Updated from global requirements
  * remove add/remove router interface to ODL
  * Updated from global requirements
  * Include alembic migrations in module
  * security group rule: convert unknown protocol name
  * Update homepage with developer documentation page
  * simplify odl release definition
  * use v2 driver for v2 test
  * rest client: move parameter check to rest client
  * update odl release definitions for Boron 0.5.0
  * Journal recovery for basic scenarios
  * unbreak test_l3_odl failure
  * sqlite: datetime should be second precision
  * test: journal/maintenance db clean up properly
  * test_maintenance: cleanup looping call
  * populate json with both 'project_id', 'tenant_id'
  * models: use neutron_lib.db.model_base
  * more bug work around of Moxy bug of 475475
  * Sync Security Groups and SG Rules before other resources
  * journal.record should use callers plugin context
  * Revert "Temporary fix for gate"
  * tests/unit: consolidate journal db setup logic
  * Add qos extension to devstack override defaults
  * Temporary fix for gate
  * Treat ODL's 404 hostconfigs, as an empty list On pseudo agent db, when odl response with 404 not_found for hostconfigs, treat it as an empty list rather then an error. Issue a debug log in this flow
  * ml2 v1 driver: work around full_sync
  * Updated from global requirements
  * nuke lbaasv1 driver
  * devstack: make NEXUSPATH configurable
  * ODL QoS driver of v1 Type
  * Pass OptGroup variable for RequiredOptError
  * Remove reference to neutron.i18n
  * Fix the members name in OpenDaylightLbaasDriverV2
  * Change the OpenDaylightManager url_path
  * wrap_db_retry: retry_on_request was deprecated
  * add the synchronization between neutron and ODL in driver_v1
  * use carbon snapshot as default odl-release
  * devstack: add carbon snapshot to odl-releases
  * Enable DeprecationWarning in test environments
  * test_pseudo_agentdb_binding.py: adopt neutron_lib
  * journal: port::securitygroup needs only ids
  * db: add Mitaka tag for alembic migration revisions
  * devstack: refactor ODL_L3 logic depending on used feature
  * Revert "devstack: setup hostconfig in ovsdb"
  * Updated from global requirements
  * pseudo agent, devstack: hostconf_uri is set to ''
  * Run set_ovs_hostconfigs as root with neutron-utils
  * devstack:ovsdbd doesn't understand localhost
  * Add Python 3.5 classifier and venv
  * pseudo agent fails to load with unit test
  * devstack: remove the definition of lithium snapshot
  * devstack: setup hostconfig in ovsdb
  * legacy_port_binding: teach VNIC type
  * pep8, unittest: unbreak gate failure
  * tox: add doc8 check
  * devstack: the definition of beryllium snapshot 0.4.4
  * devstack: add definition of beryllium SR3
  * devstack: add more gate jobs
  * settings.odl: eliminate 0.4.2-snapshot which was deleted
  * Add releasenotes support with reno
  * various update for tox.ini
  * devstack: configurable ODL repositories paths
  * devstack: add specific ODL snapshot functionality
  * devstack: allow to enable v2 driver
  * devstack: remove beryllium snapshot 0.4.2
  * devstack: load neutron-northbound-service first
  * refactor odl-release definition
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Remove discover from test-requirements
  * Fix bug in call to get_network - missing network_id param
  * devstack: remove optional bridge configuration
  * Fix the order of arguments in assertEqual
  * Support for ovs-dpdk, vpp in port binding
  * Updated from global requirements
  * fix _enrich_port() to return the modified "data"
  * Add name property to ENUM type
  * Fix devstack README indentation
  * Corrects pep8 failure in set_ovs_hostconfigs.py
  * Add __ne__ built-in function
  * Fix tox unit test issue
  * Switch-agnostic ODL port binding controller
  * Add Spec for QoS driver
  * Adding Host Config doc
  * devstack: support bridge configuration, for vpnservice-openstack
  * make dependency validator dynamically registerable
  * create dir, doc/specs, for spec
  * Updated from global requirements
  * Fix db error when running python34 Unit tests
  * adopt neutron_lib for constants and exceptions
  * Remove unused Params
  * Fixed test_mechanism_odl.py due to functions map deprecation in ML2
  * Full Sync for L3 resources
  * Add a hook for test debug
  * more bug work around of Java MOXy bug of 475475
  * Use already defined constants
  * Revert "Workaround to fix gate py27 and py34 issue."
  * Spec for journal recovery
  * Updated from global requirements
  * drop unnecessary exec permission
  * Refactor SG callbacks
  * beryllium SR2 definition
  * Simplify filtering logic
  * ODL v2: Full sync resources
  * Complete port details by journal instead of mech driver
  * [Trivial Fix] Correct log.debug() format
  * Add cleanup operation to maintenance thread
  * Journal entries can get stuck forever causing busy wait
  * Add journal maintenance thread
  * Updated from global requirements
* Wed Jun  8 2016 mchandras@suse.de
- Initial commit
